import { OnInit, EventEmitter } from '@angular/core';
export declare class HeadingSidebarComponent implements OnInit {
    /**
    * Current Preview Layout
    */
    currentPreviewLayout: string;
    topMarginWebMobileBind: boolean;
    fontSizeWebMobileBind: boolean;
    lineHeightWebMobileBind: boolean;
    /**
      * Font Familty options constant
      */
    fontFamilyOptions: any;
    meta_data: {
        innerHtml: string;
        margin_top: number;
        margin_bottom: number;
        focused: boolean;
        label: string;
        key: string;
        type: string;
    };
    showBackFor: string;
    model: {
        focused: boolean;
        type: string;
        meta_data: any;
    };
    /**
     * Output
     * @param Event
     */
    onSidebarBackClick: EventEmitter<any>;
    callParentContainer: EventEmitter<any>;
    constructor();
    /**
     * NgOnint hook
     */
    ngOnInit(): void;
    /**
    * Get the current value of Preview Layout style
    */
    ngDoCheck(): void;
    getTypeHeader(): string;
    selected: string;
    status: boolean;
    isActive: boolean;
    clickEvent(): void;
    sidebarBack(type?: string): void;
    changeColorPicker(event?: any): void;
    isUndefined(val?: any): boolean;
    callElementContainer(data: any): void;
}
